AsyncGetFuture (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.util.concurrent, class: AsyncGetFuture

Package org.apache.hadoop.util.concurrent

# Class AsyncGetFuture<T,E extends Throwable>

java.lang.Object
org.apache.hadoop.thirdparty.com.google.common.util.concurrent.internal.InternalFutureFailureAccess
org.apache.hadoop.thirdparty.com.google.common.util.concurrent.AbstractFuture<T>
org.apache.hadoop.util.concurrent.AsyncGetFuture<T,E>

All Implemented Interfaces:
  `Future<T>`, `org.apache.hadoop.thirdparty.com.google.common.util.concurrent.ListenableFuture<T>`

public class AsyncGetFuture<T,E extends Throwable> extends org.apache.hadoop.thirdparty.com.google.common.util.concurrent.AbstractFuture<T>
A `Future` implemented using an `AsyncGet` object.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.slf4j.Logger`
  `LOG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AsyncGetFuture(AsyncGet<T,E> asyncGet)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `get()`
  `T`
  `get(long timeout, TimeUnit unit)`
  `boolean`
  `isDone()`

  ### Methods inherited from class org.apache.hadoop.thirdparty.com.google.common.util.concurrent.AbstractFuture

  `addListener, afterDone, cancel, interruptTask, isCancelled, pendingToString, set, setException, setFuture, toString, tryInternalFastPathGetFailure, wasInterrupted`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### LOG

    public static final org.slf4j.Logger LOG

- ## Constructor Details

  - ### AsyncGetFuture

    public AsyncGetFuture(AsyncGet<T,E> asyncGet)

- ## Method Details

  - ### get

    public T get() throws InterruptedException, ExecutionException
    Specified by:
      `get` in interface `Future<T>`
    Overrides:
      `get` in class `org.apache.hadoop.thirdparty.com.google.common.util.concurrent.AbstractFuture<T>`
    Throws:
      `InterruptedException`
      `ExecutionException`

  - ### get

    public T get(long timeout, TimeUnit unit) throws InterruptedException, TimeoutException, ExecutionException
    Specified by:
      `get` in interface `Future<T>`
    Overrides:
      `get` in class `org.apache.hadoop.thirdparty.com.google.common.util.concurrent.AbstractFuture<T>`
    Throws:
      `InterruptedException`
      `TimeoutException`
      `ExecutionException`

  - ### isDone

    public boolean isDone()
    Specified by:
      `isDone` in interface `Future<T>`
    Overrides:
      `isDone` in class `org.apache.hadoop.thirdparty.com.google.common.util.concurrent.AbstractFuture<T>`